<%
/**
 * Copyright (c) 2000-2006 Liferay, LLC. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/common/init.jsp" %>

<portlet:defineObjects />

<tiles:useAttribute id="tilesPortletSubNav" name="portlet_sub_nav" classname="java.lang.String" ignore="true" />
<tiles:useAttribute id="tilesPortletContent" name="portlet_content" classname="java.lang.String" ignore="true" />
<tiles:useAttribute id="tilesPortletDecorate" name="portlet_decorate" classname="java.lang.String" ignore="true" />

<%
boolean portletDecorate = GetterUtil.get(tilesPortletDecorate, true);

RenderResponseImpl renderResponseImpl = (RenderResponseImpl)renderResponse;

// Portlet title

if (portletDisplay.isAccess() && portletDisplay.isActive()) {
	portletDisplay.setTitle(renderResponseImpl.getTitle());
}
else {
	portletDisplay.setTitle(portletConfig.getResourceBundle(locale).getString(WebKeys.JAVAX_PORTLET_TITLE));
}

// URL Edit

PortletURL urlEdit = new PortletURLImpl(request, portletDisplay.getId(), layoutId, false);

if (portletDisplay.isModeEdit()) {
	urlEdit.setWindowState(WindowState.NORMAL);
	urlEdit.setPortletMode(PortletMode.VIEW);
}
else {
	urlEdit.setWindowState(WindowState.MAXIMIZED);
	urlEdit.setPortletMode(PortletMode.EDIT);
}

urlEdit.setSecure(request.isSecure());

portletDisplay.setURLEdit(urlEdit);

// URL Help

PortletURL urlHelp = new PortletURLImpl(request, portletDisplay.getId(), layoutId, false);

if (portletDisplay.isModeHelp()) {
	urlHelp.setWindowState(WindowState.NORMAL);
	urlHelp.setPortletMode(PortletMode.VIEW);
}
else {
	urlHelp.setWindowState(WindowState.MAXIMIZED);
	urlHelp.setPortletMode(PortletMode.HELP);
}

urlHelp.setSecure(request.isSecure());

portletDisplay.setURLHelp(urlHelp);

// URL Print

PortletURL urlPrint = new PortletURLImpl(request, portletDisplay.getId(), layoutId, false);

if (portletDisplay.isModePrint()) {
	urlPrint.setWindowState(WindowState.NORMAL);
	urlPrint.setPortletMode(PortletMode.VIEW);
}
else {
	urlPrint.setWindowState(WindowState.MAXIMIZED);
	urlPrint.setPortletMode(LiferayPortletMode.PRINT);
}

urlPrint.setSecure(request.isSecure());

portletDisplay.setURLPrint(urlPrint);

// URL Max

boolean action = !portletDisplay.isRestoreCurrentView();

PortletURL urlMax = new PortletURLImpl(request, portletDisplay.getId(), layoutId, action);

if (portletDisplay.isStateMax()) {
	urlMax.setWindowState(WindowState.NORMAL);
}
else {
	urlMax.setWindowState(WindowState.MAXIMIZED);
}

if (!action) {
	String portletNamespace = PortalUtil.getPortletNamespace(portletDisplay.getId());

	Map renderParameters = RenderParametersPool.get(request, layoutId, portletDisplay.getId());

	Iterator itr = renderParameters.entrySet().iterator();

	while (itr.hasNext()) {
		Map.Entry entry = (Map.Entry)itr.next();

		String key = (String)entry.getKey();

		if (key.startsWith(portletNamespace)) {
			key = key.substring(portletNamespace.length(), key.length());

			String[] values = (String[])entry.getValue();

			urlMax.setParameter(key, values);
		}
	}
}

urlMax.setSecure(request.isSecure());

portletDisplay.setURLMax(urlMax);

//URL Special Conf

PortletURL urlSpecConfig = new com.liferay.portlet.PortletURLImpl(request, portletDisplay.getId(), layoutId, false);

if (portletDisplay.isModeSpecConfig()) {
	urlSpecConfig.setWindowState(WindowState.NORMAL);
	urlSpecConfig.setPortletMode(PortletMode.VIEW);
}else{
	urlSpecConfig.setWindowState(WindowState.MAXIMIZED);
	urlSpecConfig.setPortletMode(LiferayPortletMode.SPEC_CONFIG);
	urlSpecConfig.setParameter(
			"struts_action", "/portlet_conf/spec_portlet_config_mode/edit");
}

urlSpecConfig.setSecure(request.isSecure());

portletDisplay.setURLSpecConfig(urlSpecConfig);
%>


<%
PortletPreferences prefs = renderRequest.getPreferences();

if(!portletDisplay.isModeSpecConfig() && !portletDisplay.isModeEdit() && !portletDisplay.isModeHelp() && !portletDisplay.isModePrint()){
	portletDecorate = GetterUtil.get(prefs.getValue("show-portlet-borders","true"), true);
}
%>

<c:if test="<%= !portletDisplay.isStatePopUp() %>">

	<%
	String portletThemeId = prefs.getValue("portlet-theme-id","default");
	%>
	
	<%
	if(!portletThemeId.equals("default")){
	%>
	
		<div class="<%=portletThemeId %>">
	
	<%
	}
	%>

	<c:if test="<%= portletDecorate %>">
		<theme:box top="portlet_top.jsp" bottom="portlet_bottom.jsp">
			<div id="p_p_content<%= PortalUtil.getPortletNamespace(portletDisplay.getId()) %>" style="margin-top: 0; margin-bottom: 0;">
				<%@ include file="/html/common/themes/portlet_content.jsp" %>
			</div>
		</theme:box>
	</c:if>

	<c:if test="<%= !portletDecorate %>">
		<%@ include file="/html/common/themes/portlet_content.jsp" %>
		<div align="right">
			<font class="portlet-font" style="font-size: xx-small;">
			<c:if test="<%= portletDisplay.isShowEditIcon() %>">
				[<a href="<portlet:renderURL portletMode="<%= PortletMode.EDIT.toString() %>" windowState="<%= WindowState.MAXIMIZED.toString() %>"></portlet:renderURL>"><bean:message key="preferences" /></a>]&nbsp;
			</c:if>
			<c:if test="<%= portletDisplay.isShowSpecConfigIcon() %>">	
				[<a href="<portlet:renderURL portletMode="<%= LiferayPortletMode.SPEC_CONFIG.toString() %>" windowState="<%= WindowState.MAXIMIZED.toString() %>"></portlet:renderURL>"><bean:message key="spec-config" /></a>]
			</c:if>	
			</font>
		</div>
	</c:if>
	
	<%
	if(!portletThemeId.equals("default")){
	%>
	
	</div>
	
	<%
	}
	%>
</c:if>

<c:if test="<%= portletDisplay.isStatePopUp() %>">
	<%--<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%">
	<tr class="gamma">
		<td align="center" valign="middle">
			<table border="0" cellpadding="0" cellspacing="0">
			<tr>
				<td align="center">--%>

					<table border="0" cellpadding="8" cellspacing="0" width="100%">
					<tr>
						<td>
							<c:if test="<%= Validator.isNotNull(tilesPortletContent) %>">
								<liferay:include page="<%= Constants.TEXT_HTML_DIR + tilesPortletContent %>" flush="true" />
							</c:if>

							<c:if test="<%= Validator.isNull(tilesPortletContent) %>">

								<%
								pageContext.getOut().print(renderRequest.getAttribute(WebKeys.PORTLET_CONTENT));
								%>

							</c:if>
						</td>
					</tr>
					</table>

				<%--</td>
			</tr>
			</table>
		</td>
	</tr>
	</table>--%>
</c:if>