<%
/**
 * Copyright (c) 2000-2006 Liferay, LLC. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="init.jsp" %>

/******************************************************************************/
/* Liferay                                                                    */
/******************************************************************************/

/* Global */

* {
	font-size: 1em;
}

A {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A:hover {
	text-decoration: underline;
}

BODY {
	background-color: <%= colorScheme.getBodyBg() %>;
	border: 0;
	margin: 0;
	padding: 0;
	text-align: center;
	font-family: Tahoma, Arial;
	font-size: 0.75em;
}

FORM {
	margin: 0;
}

SELECT {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
}

.form-button {
	border-color: <%= colorScheme.getPortletTitleBg() %>;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 10px;
}

.form-button-hover {
	border-bottom: solid 1px <%= colorScheme.getPortletTitleBg() %>;
	border-left: solid 1px <%= colorScheme.getLayoutBg() %>;
	border-right: solid 1px <%= colorScheme.getPortletTitleBg() %>;
	border-top: solid 1px <%= colorScheme.getLayoutBg() %>;
	font-family: Arial;
	font-size: 10px;
}

.form-text {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 80%;
}

.tree-js-pop-up DIV {
	background-color: #D3D3D3;
	border: 2px Outset #FFFFFF;
	display: none;
	padding: 4;
	position: absolute;
	text-align: left;
	z-index: 10;
}

/* Alpha */

.alpha {
	background-color: <%= colorScheme.getPortletTitleBg() %>;
}

.alpha-gradient {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
}

.alpha-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.alpha-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.alpha-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

A.alpha {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.alpha:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.alpha {
	background: none;
	color: <%= colorScheme.getPortletTitleText() %>;
	font-family: Tahoma, Arial;
}

/* Beta */

.beta {
	background-color: <%= colorScheme.getPortletMenuBg() %>;
}

.beta-gradient {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_menu_bg_gradient.gif) repeat-x;
}

.beta-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.beta-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.beta-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_menu_bg_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

A.beta {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.beta:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.beta {
	background: none;
	color: <%= colorScheme.getPortletMenuText() %>;
	font-family: Tahoma, Arial;
}

/* Gamma */

.gamma {
	background-color: <%= colorScheme.getPortletBg() %>;
}

.gamma-gradient {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_bg_x.gif) repeat-x;
}

.gamma-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.gamma-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

.gamma-separator {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/gamma_dotted_x.gif) repeat-x bottom;
	border-bottom: none;
	padding: 1px;
}

#gamma-tab {
	border-bottom: 1px solid <%= colorScheme.getPortletMenuBg() %>;
	margin-left: 0px;
	margin-top: 0px;
	margin-bottom: 15px;
	margin-right: 0px;
	padding-bottom: 27px;
	padding-left: 0px;
}

#gamma-tab ul, #gamma-tab li {
	background: <%= colorScheme.getPortletBg() %>;
	border: 1px solid <%= colorScheme.getPortletMenuBg() %>;
	color: <%= colorScheme.getPortletFont() %>;
	display: inline;
	float: left;
	font-family: Tahoma, Arial;
	font-size: 13px;
	font-weight: normal;
	line-height: 22px;
	list-style-type: none;
	margin-right: 8px;
	padding: 2px 10px 2px 10px;
	text-decoration: none;
}

#gamma-tab ul#current, #gamma-tab li#current {
	background: <%= colorScheme.getPortletBg() %>;
	border-bottom: 1px solid <%= colorScheme.getPortletBg() %>;
	color: <%= colorScheme.getPortletFont() %>;
}

#gamma-tab li#toggle {
	background: none;
	border: 0px;
	float: right;
	margin-right: 0px;
	padding-right: 0px;
}

A.gamma {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.gamma:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.gamma {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
}

/* Bg */

.bg {
	background-color: <%= colorScheme.getLayoutBg() %>;
}

.bg-neg-alert {
	color: <%= colorScheme.getPortletMsgError() %>;
}

.bg-pos-alert {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
}

A.bg {
	background: none;
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: none;
}

A.bg:hover {
	color: <%= colorScheme.getPortletFont() %>;
	text-decoration: underline;
}

FONT.bg {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
}

/******************************************************************************/
/* Liferay Layout CSS                                                         */
/******************************************************************************/

#layout-outer-side-decoration {
	background-color: transparent;
	margin-left: auto;
	margin-right: auto;
}

#layout-box {
	background-color: <%= colorScheme.getLayoutBg() %>;
	padding: 10px 0 10px 0;
	text-align: center;
	width: 100%;
}

#bottom-container {
	border: 0;
	clear: both;
	padding: 0;
	text-align: left;
}

#bottom-content {
	font-family: Verdana, Arial;
	font-size: 6.5pt;
	font-weight: normal;
	vertical-align: bottom;
}

.layout-tab, A.layout-tab {
	color: <%= colorScheme.getLayoutTabText() %>;
	font-family: Tahoma, Arial;
}

.layout-tab-selected, A.layout-tab-selected {
	background: <%= colorScheme.getLayoutTabSelectedBg() %>;
	color: <%= colorScheme.getLayoutTabSelectedText() %>;
	font-family: Tahoma, Arial;
}

/* Optional Decoration */

#layout-top-decoration { }
#layout-corner-ul { }
#layout-corner-ur { }
#layout-bottom-decoration { }
#layout-corner-bl { }
#layout-corner-br { }
#layout-bottom-decoration-2 { }
#layout-corner-2-bl { }
#layout-corner-2-br { }

/* Column Layout */

.layout-column-default {
	background-color: transparent;
}

.layout-column-highlight {
	background-color: #EEF;
}

#layout-column_n1 , #layout-column_n2 , #layout-column_w1 {
	float: left;
}

.layout-blank_n1_portlet, .layout-blank_n2_portlet, .layout-blank_w1_portlet {
	float: left;
	font-size: 0px;
	height: 5px;
	width: 100%;
}

.layout-margin-div {
	float: left;
	height: 1px;
	width: 10px;
}

#layout-bottom-container {
	clear: both;
	font-family: Verdana, Arial;
	font-size: 7pt;
	font-weight: normal;
	text-align: left;
}

.layout-add-select-style {
	font-family: Verdana, Arial;
	font-size: 7pt;
	font-weight: normal;
}

#layout-add_n1, #layout-add_n2, #layout-add_w1 {
	float: left;
}

/******************************************************************************/
/* Portlet CSS                                                                */
/******************************************************************************/

/* Liferay Portlet */

<c:choose>
	<c:when test="<%= BrowserSniffer.is_ie(request) %>">
	#portlet-dragging * {
		filter: alpha(opacity=75);
	}
	</c:when>
	<c:otherwise>
	#portlet-dragging {
		opacity: 0.75;
	}
	</c:otherwise>
</c:choose>

.portlet-loading {
	background: url(<%= themeDisplay.getPathThemeImage() %>/progress_bar/loading_animation.gif) no-repeat top center;
	margin-top: 10px;
	padding-top: 40px;
	font-size: 9px;
	text-align: center;
}

.portlet-container {
	position: relative;
	margin: 22px 0 7px 0;
	<c:if test="<%= BrowserSniffer.is_ie_5_5_up(request) %>">
		height: 100%;
	</c:if>
}

.portlet-box {
	background-color: <%= colorScheme.getPortletBg() %>;
	border: 1px solid <%= colorScheme.getPortletTitleBg() %>;
	padding: 15px 0 0 0;
	<c:if test="<%= ROUNDED_TOP %>">
		border-top: none;
	</c:if>
	<c:if test="<%= ROUNDED_BOTTOM %>">
		border-bottom: none;
	</c:if>
}

.portlet-minimum-height {
	<c:if test="<%= BrowserSniffer.is_ie(request) %>">
		height: 1px;
	</c:if>
}

.portlet-header-bar {
	height: 27px;
	left: 0;
	position: absolute;
	top: -13px;
	width: 100%;
}

.portlet-title {
	background: <%= colorScheme.getPortletTitleBg() %> url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
	color: <%= colorScheme.getPortletTitleText() %>;
	font-size: 1.1em;
	font-weight: bold;
	height: 27px;
	left: 10px;
	position: absolute;
	top: 0;
}

.portlet-title DIV {
	padding: 4px 7px 0 7px;
}

.portlet-small-icon-bar {
	padding-left: 2px;
	position: absolute;
	top: 7px;
	right: 10px;
}

.portlet-small-icon {
	margin-left: -2px;
}

.portlet-top-decoration {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_ul.gif) no-repeat top left;
	height: 5px;
}

.portlet-top-decoration DIV {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_ur.gif) no-repeat top right;
	height: 5px;
}

.portlet-top-decoration DIV DIV {
	background: <%= colorScheme.getPortletBg() %>;
	border-top: 1px solid <%= colorScheme.getPortletTitleBg() %>;
	font-size: 0;
	height: 5px;
	margin: 0 5px 0 5px;
}


.portlet-inner-top {
	margin: 0 auto 0 auto;
}

.portlet-bottom-blank {
	margin-bottom: 5px;
}

.portlet-bottom-decoration {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_bl.gif) no-repeat top left;
	height: 5px;
}

.portlet-bottom-decoration DIV {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_br.gif) no-repeat top right;
	height: 5px;
}

.portlet-bottom-decoration DIV DIV {
	background: <%= colorScheme.getPortletBg() %>;
	border-bottom: 1px solid <%= colorScheme.getPortletTitleBg() %>;
	font-size: 0;
	height: 5px;
	margin: 0 5px 0 5px;
}

.portlet-bottom-decoration-2 {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/middle.gif) repeat-x;
	width: 100%;
}

.portlet-bottom-decoration-2 DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/left.gif) no-repeat;
}

.portlet-bottom-decoration-2 DIV DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/right.gif) no-repeat top right;
	font-size: 0;
	height: 6px;
}

/* Fonts */

.portlet-font {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-font A {
	color: <%= colorScheme.getPortletFont() %>;
}

.portlet-font-dim {
	color: <%= colorScheme.getPortletFontDim() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Messages */

.portlet-msg-status {
	color: <%= colorScheme.getPortletMsgStatus() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.portlet-msg-info {
	color: <%= colorScheme.getPortletMsgInfo() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-msg-error {
	color: <%= colorScheme.getPortletMsgError() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-msg-alert {
	color: <%= colorScheme.getPortletMsgAlert() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.portlet-msg-success {
	color: <%= colorScheme.getPortletMsgSuccess() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Sections */

.portlet-section-header {
	color: <%= colorScheme.getPortletSectionHeader() %>;
	background: <%= colorScheme.getPortletSectionHeaderBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-header A {
	color: <%= colorScheme.getPortletSectionHeader() %>;
}

.portlet-section-body {
	color: <%= colorScheme.getPortletSectionBody() %>;
	background: <%= colorScheme.getPortletSectionBodyBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-body-hover, TR.portlet-section-body:hover {
	color: <%= colorScheme.getPortletSectionBodyHover() %>;
	background: <%= colorScheme.getPortletSectionBodyHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-body A {
	color: <%= colorScheme.getPortletSectionBody() %>;
}

.portlet-section-body-hover A, TR.portlet-section-body:hover A {
	color: <%= colorScheme.getPortletSectionBodyHover() %>;
}

.portlet-section-alternate {
	color: <%= colorScheme.getPortletSectionAlternate() %>;
	background: <%= colorScheme.getPortletSectionAlternateBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-alternate-hover, TR.portlet-section-alternate:hover {
	color: <%= colorScheme.getPortletSectionAlternateHover() %>;
	background: <%= colorScheme.getPortletSectionAlternateHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-alternate A {
	color: <%= colorScheme.getPortletSectionAlternate() %>;
}

.portlet-section-alternate-hover A, TR.portlet-section-alternate:hover A {
	color: <%= colorScheme.getPortletSectionAlternateHover() %>;
}

.portlet-section-selected {
	color: <%= colorScheme.getPortletSectionSelected() %>;
	background: <%= colorScheme.getPortletSectionSelectedBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-selected-hover, TR.portlet-section-selected:hover {
	color: <%= colorScheme.getPortletSectionSelectedHover() %>;
	background: <%= colorScheme.getPortletSectionSelectedHoverBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-selected A {
	color: <%= colorScheme.getPortletSectionSelected() %>;
}

.portlet-section-selected-hover A, TR.portlet-section-selected:hover A {
	color: <%= colorScheme.getPortletSectionSelectedHover() %>;
}

.portlet-section-subheader {
	color: <%= colorScheme.getPortletSectionSubheader() %>;
	background: <%= colorScheme.getPortletSectionSubheaderBg() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-footer {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-section-text {
	color: <%= colorScheme.getLayoutText() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Forms */

.portlet-form-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-form-input-field {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 80%;
}

.portlet-form-button {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/button_gradient.gif) repeat-x;
	border-color: <%= colorScheme.getPortletTitleBg() %>;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 10px;
}

.portlet-icon-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.portlet-dlg-icon-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.portlet-form-field-label {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.portlet-form-field {
	color: <%= colorScheme.getPortletFont() %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/******************************************************************************/
/* Navigation Portlet                                                         */
/******************************************************************************/

.portlet-navigation-menu {
	margin: 10px 0 10px 15px;
	padding: 0px;
	font-family: Arial;
	font-size: x-small;
	text-align: left;
}

.portlet-navigation-menu UL {
	margin: 0 0 0 5px;
	padding: 0px 0 0 15px;
}

/******************************************************************************/
/* test																		  */	
/******************************************************************************/

/* Liferay Portlet */

.test .portlet-loading {
	background: url(<%= themeDisplay.getPathThemeImage() %>/progress_bar/loading_animation.gif) no-repeat top center;
	margin-top: 10px;
	padding-top: 40px;
	font-size: 9px;
	text-align: center;
}

.test .portlet-container {
	position: relative;
	margin: 22px 0 7px 0;
	<c:if test="<%= BrowserSniffer.is_ie_5_5_up(request) %>">
		height: 100%;
	</c:if>
}

.test .portlet-box {
	background-color: <%= colorScheme.getPortletBg("test") %>;
	border: 1px solid <%= colorScheme.getPortletTitleBg("test") %>;
	padding: 15px 0 0 0;
	<c:if test="<%= ROUNDED_TOP %>">
		border-top: none;
	</c:if>
	<c:if test="<%= ROUNDED_BOTTOM %>">
		border-bottom: none;
	</c:if>
}

.test .portlet-minimum-height {
	<c:if test="<%= BrowserSniffer.is_ie(request) %>">
		height: 1px;
	</c:if>
}

.test .portlet-header-bar {
	height: 27px;
	left: 0;
	position: absolute;
	top: -13px;
	width: 100%;
}

.test .portlet-title {
	background: <%= colorScheme.getPortletTitleBg("test") %> url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
	color: <%= colorScheme.getPortletTitleText("test") %>;
	font-size: 1.1em;
	font-weight: bold;
	height: 27px;
	left: 10px;
	position: absolute;
	top: 0;
}

.test .portlet-title DIV {
	padding: 4px 7px 0 7px;
}

.test .portlet-small-icon-bar {
	padding-left: 2px;
	position: absolute;
	top: 7px;
	right: 10px;
}

.test .portlet-small-icon {
	margin-left: -2px;
}

.test .portlet-top-decoration {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_ul.gif) no-repeat top left;
	height: 5px;
}

.test .portlet-top-decoration DIV {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_ur.gif) no-repeat top right;
	height: 5px;
}

.test .portlet-top-decoration DIV DIV {
	background: <%= colorScheme.getPortletBg("test") %>;
	border-top: 1px solid <%= colorScheme.getPortletTitleBg("test") %>;
	font-size: 0;
	height: 5px;
	margin: 0 5px 0 5px;
}


.test .portlet-inner-top {
	margin: 0 auto 0 auto;
}

.test .portlet-bottom-blank {
	margin-bottom: 5px;
}

.test .portlet-bottom-decoration {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_bl.gif) no-repeat top left;
	height: 5px;
}

.test .portlet-bottom-decoration DIV {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_corner_br.gif) no-repeat top right;
	height: 5px;
}

.test .portlet-bottom-decoration DIV DIV {
	background: <%= colorScheme.getPortletBg("test") %>;
	border-bottom: 1px solid <%= colorScheme.getPortletTitleBg("test") %>;
	font-size: 0;
	height: 5px;
	margin: 0 5px 0 5px;
}

.test .portlet-bottom-decoration-2 {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/middle.gif) repeat-x;
	width: 100%;
}

.test .portlet-bottom-decoration-2 DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/left.gif) no-repeat;
}

.test .portlet-bottom-decoration-2 DIV DIV {
	background: url(<%= themeDisplay.getPathThemeImage() %>/shadow/right.gif) no-repeat top right;
	font-size: 0;
	height: 6px;
}

/* Fonts */

.test .portlet-font {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-font A {
	color: <%= colorScheme.getPortletFont("test") %>;
}

.test .portlet-font-dim {
	color: <%= colorScheme.getPortletFontDim("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Messages */

.test .portlet-msg-status {
	color: <%= colorScheme.getPortletMsgStatus("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.test .portlet-msg-info {
	color: <%= colorScheme.getPortletMsgInfo("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-msg-error {
	color: <%= colorScheme.getPortletMsgError("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-msg-alert {
	color: <%= colorScheme.getPortletMsgAlert("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
	font-style: italic;
}

.test .portlet-msg-success {
	color: <%= colorScheme.getPortletMsgSuccess("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Sections */

.test .portlet-section-header {
	color: <%= colorScheme.getPortletSectionHeader("test") %>;
	background: <%= colorScheme.getPortletSectionHeaderBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-header A {
	color: <%= colorScheme.getPortletSectionHeader("test") %>;
}

.test .portlet-section-body {
	color: <%= colorScheme.getPortletSectionBody("test") %>;
	background: <%= colorScheme.getPortletSectionBodyBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-body-hover, TR.portlet-section-body:hover {
	color: <%= colorScheme.getPortletSectionBodyHover("test") %>;
	background: <%= colorScheme.getPortletSectionBodyHoverBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-body A {
	color: <%= colorScheme.getPortletSectionBody("test") %>;
}

.test .portlet-section-body-hover A, TR.portlet-section-body:hover A {
	color: <%= colorScheme.getPortletSectionBodyHover("test") %>;
}

.test .portlet-section-alternate {
	color: <%= colorScheme.getPortletSectionAlternate() %>;
	background: <%= colorScheme.getPortletSectionAlternateBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-alternate-hover, TR.portlet-section-alternate:hover {
	color: <%= colorScheme.getPortletSectionAlternateHover("test") %>;
	background: <%= colorScheme.getPortletSectionAlternateHoverBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-alternate A {
	color: <%= colorScheme.getPortletSectionAlternate("test") %>;
}

.test .portlet-section-alternate-hover A, TR.portlet-section-alternate:hover A {
	color: <%= colorScheme.getPortletSectionAlternateHover("test") %>;
}

.test .portlet-section-selected {
	color: <%= colorScheme.getPortletSectionSelected("test") %>;
	background: <%= colorScheme.getPortletSectionSelectedBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-selected-hover, TR.portlet-section-selected:hover {
	color: <%= colorScheme.getPortletSectionSelectedHover("test") %>;
	background: <%= colorScheme.getPortletSectionSelectedHoverBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-selected A {
	color: <%= colorScheme.getPortletSectionSelected("test") %>;
}

.test .portlet-section-selected-hover A, TR.portlet-section-selected:hover A {
	color: <%= colorScheme.getPortletSectionSelectedHover("test") %>;
}

.test .portlet-section-subheader {
	color: <%= colorScheme.getPortletSectionSubheader("test") %>;
	background: <%= colorScheme.getPortletSectionSubheaderBg("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-footer {
	color: <%= colorScheme.getLayoutText("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-section-text {
	color: <%= colorScheme.getLayoutText("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/* Forms */

.test .portlet-form-label {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-form-input-field {
	border-color: #CCCCCC;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 80%;
}

.test .portlet-form-button {
	background: url(<%= themeDisplay.getPathColorSchemeImage() %>/button_gradient.gif) repeat-x;
	border-color: <%= colorScheme.getPortletTitleBg("test") %>;
	border-style: solid;
	border-width: 1px;
	font-family: Arial;
	font-size: 10px;
}

.test .portlet-icon-label {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.test .portlet-dlg-icon-label {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: small;
}

.test .portlet-form-field-label {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

.test .portlet-form-field {
	color: <%= colorScheme.getPortletFont("test") %>;
	font-family: Tahoma, Arial;
	font-size: medium;
}

/******************************************************************************/
/* test2                                                                      */
/******************************************************************************/

.test2 .portlet-header-bar {
	background: <%= colorScheme.getPortletTitleBg("test2") %> url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
	/*border: 1px solid <%= colorScheme.getPortletTitleBg("test2") %>;*/
	height: 20px;
	left: 0;
	position: absolute;
	top: -13px;
	width: 100%;
}

.test2 .portlet-title {
	background: <%= colorScheme.getPortletTitleBg() %> url(<%= themeDisplay.getPathColorSchemeImage() %>/portlet_title_bg_gradient.gif) repeat-x;
	color: <%= colorScheme.getPortletTitleText("test2") %>;
	font-size: 1.1em;
	font-weight: bold;
	height: 18px;
	left: 5px;
	position: absolute;
	top: 0;
}

.test2 .portlet-small-icon-bar {
	padding-left: 2px;
	position: absolute;
	top: 7px;
	right: 10px;
}

/******************************************************************************/
/* Display Tag Library                                                        */
/******************************************************************************/

TR.even { background-color: <%= colorScheme.getPortletMenuBg() %>; color: #000000; font-family: Tahoma, Arial; }

TR.odd { background-color: <%= colorScheme.getPortletBg() %>; color: #000000; font-family: Tahoma, Arial; }
